# SectionIntUpdateAdd

Updates the array of values associated to a subset of the topology in this Section.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT SectionIntUpdateAdd(SectionInt section, PetscInt point, const PetscInt values[])

Not collective

### Input Parameters

| section | - the section object
| point | - the Sieve point
| values | - The values associated with the submesh

### See Also

SectionIntRestrict(), SectionIntCreate(), SectionIntView()

Level:advanced
Location: src/dm/mesh/section.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages